function [string,ixc]=updaterho_ice(md,ixc,dvar,i)

ixc=ixc+1;
if strcmpi(md.analysis_driver,'matlab')
    string=sprintf('\tmd.rho_ice=Dakota.xC(%d);\n',ixc);
else
    string=sprintf('\tmd.rho_ice={%s};\n',dvar(i).descriptor);
end

end
